> For the complete documentation index, see [llms.txt](https://docs.verifyme.ng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifyme.ng/address.md).

# Submit Address Verification

{% hint style="warning" %}
Please note that you are required to have a webhook set for address verification requests to be successful. If they are not set, you will not get notified when the verification has been completed.
{% endhint %}

## Submit Address for Verification

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/addresses`

This endpoint allows you to create address verifications

#### Headers

| Name           | Type   | Description          |
| -------------- | ------ | -------------------- |
| Authentication | string | Authentication Token |

#### Request Body

| Name                | Type   | Description                                                 |
| ------------------- | ------ | ----------------------------------------------------------- |
| reference           | string | Unique reference for identifying request                    |
| city                | string | city name                                                   |
| lga                 | string | Local government area                                       |
| landmark            | string | Address landmark                                            |
| state               | string | State name                                                  |
| street              | string | Street Name e.g "270 Murtala Muhammed Way, Alagomeji. Yaba" |
| applicant.firstname | string | Applicants first name                                       |
| applicant.lastname  | string | Applicants last name                                        |
| applicant.dob       | string | Applicants date of birth                                    |
| applicants.phone    | string | Applicants phone No                                         |
| applicant.idType    | string | Applicants Id type ( "BVN", "NIN", "KYC" )                  |
| applicant.idNumber  | string | Applicants Identity Number ("BVN", "NIN" , "Phone No")      |

{% tabs %}
{% tab title="201 Address verification created." %}

```
{
"status": "success",
"data": {
    id: 1,
    applicant: {
        firstname: "John",
        lastname: "Doe",
        phone:"08000000000",
        idType: "bvn",
        idNumber: "10000000001",
        middlename: "Cameron',
        photo: "https://images.verifyme.ng/278783775/fjjjjler7834.jpg",
        gender: "Male",
        birthdate: '17/01/1988',
    },
    createdAt: "",
    completedAt: "",
    lattitude: "9.081999",
    longitude: "8.675277",
    photos: ["https://picsum.photos/id/768/200/300.jpg", "https://picsum.photos/id/768/200/300.jpg"],
    neighbor: {
        name: "Tunde Adetunji",
        comment: "Very friendly",
        phone: "080900000000",
    },
    status: {
        status: "In Progress",
        subStatus: "In Progress",
        state: "In Progress",
    },
    city: "oshodi",
    street: "270 Murtala Muhammed Way, Alagomeji. Yaba",
    lga: "lagos mainland",
    state: "Lagos",
    country: "Nigeria",
    reference: "VMN_asksdjsjd"
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

```
{
    "status": "error",
    "message": "string",
    "code": "ACCESS_DENIED"
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

{% tabs %}
{% tab title="JSON" %}

```
{
    "street": "270 Murtala Muhammed Way, Alagomeji. Yaba",
    "lga": "surulere",
    "state": "lagos",
    "landmark": "Beside GTbank",
    "applicant": {
        "idType": "NIN",
        "idNumber": "10000000001",
        "firstname": "john",
        "lastname": "doe",
        "phone": "08121234567",
        "dob":"04-04-1944"
    }
}
```

{% endtab %}

{% tab title="CURL" %}

```
curl --verbose  
--header "Authorization: Bearer <token>"
--data '{"street": "270 Murtala Muhammed Way, Alagomeji. Yaba", "lga": "sululere", "city": "lagos","landmark": "Beside GTbank","applicant": {    "idType": "NIN",    "idNumber": "10000000001",    "firstname": "john",    "lastname": "doe",    "phone": "08121234567",    "dob":"04-04-1944"}}' 
--request "POST" "https://vapi.verifyme.ng/v1/verifications/addresses"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifyme.ng/address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
